Package com.sun.mail.imap.protocol

## Class ENVELOPE

- java.lang.Object
- - com.sun.mail.imap.protocol.ENVELOPE

All Implemented Interfaces:
  `Item`

    public class ENVELOPE
    extends java.lang.Object
    implements Item

The ENEVELOPE item of an IMAP FETCH response.

Author:
  John Mani, Bill Shannon

### Field Summary

Fields
`InternetAddress[]` `bcc`
`InternetAddress[]` `cc`
`java.util.Date` `date`
`InternetAddress[]` `from`
`java.lang.String` `inReplyTo`
`java.lang.String` `messageId`
`int` `msgno`
`InternetAddress[]` `replyTo`
`InternetAddress[]` `sender`
`java.lang.String` `subject`
`InternetAddress[]` `to`

### Constructor Summary

Constructors
`ENVELOPE​(FetchResponse r)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgno

    public int msgno

#### date

    public java.util.Date date

#### subject

    public java.lang.String subject

#### from

    public InternetAddress[] from

#### sender

    public InternetAddress[] sender

#### replyTo

    public InternetAddress[] replyTo

#### to

    public InternetAddress[] to

#### cc

    public InternetAddress[] cc

#### bcc

    public InternetAddress[] bcc

#### inReplyTo

    public java.lang.String inReplyTo

#### messageId

    public java.lang.String messageId

### Constructor Detail

#### ENVELOPE

    public ENVELOPE​(FetchResponse r)
             throws ParsingException

Throws:
  `ParsingException`